Foreman fails to update domain name

03/13/2013 01:13 PM - Jaroslav Henner

Status: Resolved   

Priority: High   

Assignee:    

Category: Smart Proxy   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Using some MS DNS server, trying to update domain name of a Libvirt VM, Foreman fails to do so. It asks about overwriting the

PTR, but it doesn

History

#1 - 03/13/2013 01:22 PM - Jaroslav Henner

Using some MS DNS server, trying to update domain name of a Libvirt VM, Foreman fails to do so. It asks about overwriting the PTR, but it doesn't

overwrite the PTR, nor it changes the A records accordingly.

Workaround is to delete the PTR by hand, then updating the name.

Note it also causes a schizophrenic behaviour: `https://puppet.rhos/hosts/bar.xxx` in url, but `foo.xxx` as VM name.

#2 - 03/13/2013 01:24 PM - Jaroslav Henner

See #1860

#3 - 06/27/2013 04:25 AM - Anonymous

Note that each record in AD DNS has separate ACL. The problem can be caused by ACL preventing the update.

#4 - 05/18/2017 06:49 PM - Anonymous

- Status changed from New to Resolved

a lot has changed since then...
